Subject: Request regarding detention policy and Interpol activities
From: "Migration Legin" <[email-masked]>
To: "Justiitsministeerium"
Cc: <[email-masked]>, <[email-masked]>, "Prokuratuurid info", <[email-masked]>
Date: Thu, 19 Dec 2024 10:15:10 +0200

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Dear Sir/Madam,

Please find attached a formal request concerning the policy of detention of 
Belarusian citizens and the activities of Interpol within your country. We 
kindly ask you to review the document and, if necessary, forward it to the 
appropriate competent authority should this request not fall under your 
direct jurisdiction.

We greatly appreciate your attention to this matter and look forward to your 
response.

Sincerely,

Legal Initiative